"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Report = (function () {
    function Report(id, description, procedure, startDate, endDate, frecuency, hourSpace, exactTime, weekday, dayMonth, summary, filter, email, type, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId) {
        this.id = id;
        this.description = description;
        this.procedure = procedure;
        this.startDate = startDate;
        this.endDate = endDate;
        this.frecuency = frecuency;
        this.hourSpace = hourSpace;
        this.exactTime = exactTime;
        this.weekday = weekday;
        this.dayMonth = dayMonth;
        this.summary = summary;
        this.filter = filter;
        this.email = email;
        this.type = type;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.selected = false;
    }
    return Report;
}());
exports.Report = Report;
var ReportByVccBalanceSummary = (function () {
    function ReportByVccBalanceSummary(installationId, vcc, endDate, batchTypeName, batchTypeId, userApi, spendingTranscription, spendingSemantic, spendingCognitive) {
        this.installationId = installationId;
        this.vcc = vcc;
        this.endDate = endDate;
        this.batchTypeName = batchTypeName;
        this.batchTypeId = batchTypeId;
        this.userApi = userApi;
        this.spendingTranscription = spendingTranscription;
        this.spendingSemantic = spendingSemantic;
        this.spendingCognitive = spendingCognitive;
    }
    return ReportByVccBalanceSummary;
}());
exports.ReportByVccBalanceSummary = ReportByVccBalanceSummary;
var ReportProcedureParameter = (function () {
    function ReportProcedureParameter(parameter, ordinal, type, maxLength, precission, scale, isOutput, hasDefaultValue) {
        this.parameter = parameter;
        this.ordinal = ordinal;
        this.type = type;
        this.maxLength = maxLength;
        this.precission = precission;
        this.scale = scale;
        this.isOutput = isOutput;
        this.hasDefaultValue = hasDefaultValue;
    }
    return ReportProcedureParameter;
}());
exports.ReportProcedureParameter = ReportProcedureParameter;
var FilterBase = (function () {
    function FilterBase(alias, table, column, label, controlType, value, operator, required) {
        this.alias = alias;
        this.table = table;
        this.column = column;
        this.label = label;
        this.controlType = controlType;
        this.value = value;
        this.operator = operator;
        this.required = required;
        this.selected = false;
    }
    return FilterBase;
}());
exports.FilterBase = FilterBase;
